{
* Module: System-oHome-DeepTelos-ProcessModels-CodingProcess
* ---------------------------------------------------------
* This file has been extracted from a ConceptBase database.
* Copyright is with the respective authors!

* Time extracted: 2019-07-15T12:24:59,705Z (UTC) 
* Active user: jeusfeld@myon
* CBserver version: 8.1.03 (2019-07-11) 
*
}

{$set module=System-oHome-DeepTelos-ProcessModels-CodingProcess}

{ 2019-07-15 12:10:21.006 }

start1 in BPMN_StartEvent  end 

{***} { 2019-07-15 12:10:21.294 }

RequirementsAnalysis in BPMN_Activity with 
   altname
    de : "Anforderungsanalyse";
    se : "kravanalys"
end 

{***} { 2019-07-15 12:10:21.631 }

Design in BPMN_Activity with 
   altname
    de : "Entwurf"
end 

TestCaseDesign in BPMN_Activity with 
   altname
    de : "Testszenarioentwurf"
end 

Coding in BPMN_Activity with 
   altname
    de : "Programmierung"
end 

TestDesignReview in BPMN_Activity with 
   altname
    de : "Testentwurfbewertung"
end 

{***} { 2019-07-15 12:10:22.166 }

Testing in BPMN_Activity with 
   altname
    de : "TestausfÃÂ¼hrung"
end 

{***} { 2019-07-15 12:10:22.498 }

stop1 in BPMN_EndEvent  end 

{***} { 2019-07-15 12:10:22.790 }

andgw1 in BPMN_AndGW  end 

andgw2 in BPMN_AndGW  end 

{***} { 2019-07-15 12:10:23.147 }

start1 with 
   next
    n1 : RequirementsAnalysis
end 

RequirementsAnalysis with 
   next
    n1 : andgw1
end 

{***} { 2019-07-15 12:10:23.334 }

andgw1 with 
   next
    n1 : Design;
    n2 : TestCaseDesign
end 

{***} { 2019-07-15 12:10:23.518 }

Design with 
   next
    n1 : Coding
end 

{***} { 2019-07-15 12:10:23.719 }

Coding with 
   next
    n1 : andgw2
end 

TestCaseDesign with 
   next
    n1 : TestDesignReview
end 

TestDesignReview with 
   next
    n1 : andgw2
end 

{***} { 2019-07-15 12:10:23.906 }

andgw2 with 
   next
    n1 : Testing
end 

{***} { 2019-07-15 12:10:24.090 }

Testing with 
   next
    n1 : stop1
end 

{***} { 2019-07-15 12:10:24.266 }

RequirementsAnalysis with 
   plannedduration
    pduration : 12
end 

{***} { 2019-07-15 12:10:24.462 }

Testing with 
   plannedduration
    pduration : 9
end 

{***} { 2019-07-15 12:10:24.646 }

RequirementsSpecification isA Document  end 

{***} { 2019-07-15 12:10:24.963 }

RequirementsAnalysis with 
   produces
    artifact1 : RequirementsSpecification
end 

{***} { 2019-07-15 12:10:25.278 }

Analyst in NormalActorType  end 

SeniorAnalyst in SeniorActorType  end 

{***} { 2019-07-15 12:10:25.723 }

RequirementsAnalysis with 
   executortype
    executor1 : Analyst
end 

{***} { 2019-07-15 12:10:25.914 }

Developer in NormalActorType  end 

TestDesigner in NormalActorType  end 

{***} { 2019-07-15 12:10:26.332 }

DeveloperOrTestDesigner in NormalActorType  end 

Developer isA DeveloperOrTestDesigner  end 

TestDesigner isA DeveloperOrTestDesigner  end 

TestCaseDesign with 
   executortype
    testcasedesigner : DeveloperOrTestDesigner
end 

{***} { 2019-07-15 12:10:26.818 }

TestCaseDocument isA Document  end 

{***} { 2019-07-15 12:10:27.119 }

TestCaseDesign with 
   produces
    artifact1 : TestCaseDocument
end 

{***} { 2019-07-15 12:10:27.463 }

Coding with 
   produces
    artifact1 : ProgramCode
end 

{***} { 2019-07-15 12:10:27.808 }

ProgrammingLanguage  end 

ProgramCode with 
   attribute
    language : ProgrammingLanguage
end 

{***} { 2019-07-15 12:10:28.019 }

Cobol in ProgrammingLanguage  end 

Cplusplus in ProgrammingLanguage  end 

Java in ProgrammingLanguage  end 

Python in ProgrammingLanguage  end 

{***} { 2019-07-15 12:10:28.219 }

ProgramCode in Class  end 

ProgramCode!language in Proposition!necessary  end 

{***} { 2019-07-15 12:10:28.543 }

CobolCode in Class isA ProgramCode with 
   rule
    rcobol : $ forall cc/CobolCode (cc language Cobol) $
end 

{***} { 2019-07-15 12:10:28.914 }

Coding in Class with 
   executortype
    coder : Developer
  necessary
    useslanguage : ProgrammingLanguage
end 

{***} { 2019-07-15 12:10:29.227 }

CodingWithoutLanguage in QueryClass isA Coding with 
  constraint
    missinglanguage : $ not exists pc/ProgramCode pl/ProgrammingLanguage
                  (this useslanguage pl) and (this produces pc) and (pc language pl) $
end 

{***} { 2019-07-15 12:10:29.446 }

ProgramCode!language in Proposition!single  end 

{***} { 2019-07-15 12:10:29.763 }

AnnSmith in Developer  end 

{***} { 2019-07-15 12:10:29.975 }

CodingInCobol in Class,BPMN_Activity isA Coding with 
   constraint
    useCobol : $ forall cic/CodingInCobol (cic useslanguage Cobol) $
end 

{***} { 2019-07-15 12:10:30.351 }

AnnSmith in Actor  end 

CodingInCobol with 
   executorset
    singlecoder : AnnSmith
end 

{***} { 2019-07-15 12:10:30.563 }

Mary in SeniorAnalyst  end 

{***} { 2019-07-15 12:10:30.786 }

SWEngineeringArtifact isA Document end 

{***}

SWEngineeringArtifact isA Model end 

{***}

TestReport isA SWEngineeringArtifact  end 

{---} { 2019-07-15 12:10:31.123 }

Testing with 
   produces
    testreport : TestReport
end 

{---} { 2019-07-15 12:10:31.479 }

Tester in NormalActorType  end 

Testing with 
   executortype
    tester : Tester
end 

{---} { 2019-07-15 12:10:31.879 }

SWEngineeringArtifact in Class with 
   necessary,single
    responsible : Actor;
    version : String
end 

{---} { 2019-07-15 12:10:32.495 }

RequirementsSpecification isA SWEngineeringArtifact  end 

TestCaseDocument isA SWEngineeringArtifact  end 

TestDesignReviewReport isA SWEngineeringArtifact  end 

{---} { 2019-07-15 12:10:32.838 }

TestReport with 
   attribute
    testedArtifact : SWEngineeringArtifact
end 

{***} { 2019-07-15 12:10:33.067 }

BobBrown in Analyst,Tester  end 

{***} { 2019-07-15 12:10:33.286 }

RequirementsAnalysis with 
   creator
    createdBy : BobBrown
end 

{***} { 2019-07-15 12:10:33.507 }

Design with 
   creator
    createdBy : BobBrown
  produces
    designdocument : DesignDocument
end 

DesignDocument isA SWEngineeringArtifact  end 

{***} { 2019-07-15 12:10:33.910 }

TestCaseDesign with 
   creator
    createdBy : BobBrown
end 

{***} { 2019-07-15 12:10:34.114 }

Coding with 
   creator
    createdBy : BobBrown
end 

{***} { 2019-07-15 12:10:34.338 }

TestDesignReview with 
   creator
    createdBy : BobBrown
end 

{***} { 2019-07-15 12:10:34.562 }

Testing with 
   creator
    createdBy : BobBrown
end 

{***} { 2019-07-15 12:10:34.766 }

TestDesignReview in ValidationTaskType with 
   executortype
    testdesignreviewer : SeniorActor
  uses
    testcasedocument : TestCaseDocument
  produces
    report : TestDesignReviewReport
end 

ValidationTask in Class  end 

{***} { 2019-07-15 12:10:35.262 }

TestCaseDesign in CriticalTaskType  end 

CriticalTask in Class  end 

{***} { 2019-07-15 12:10:35.720 }

TestCaseDesign in Class with 
   constraint
    s13a : $ forall tcd/Task a/Actor (tcd in TestCaseDesign) and (tcd executor a) ==> (a in SeniorAnalyst) $
end 

{***} { 2019-07-15 12:10:35.952 }

ACMEPlainProcess in ProcessType with 
   contains
    e1 : start1;
    e2 : RequirementsAnalysis;
    e3 : andgw1;
    e4 : Design;
    e5 : TestCaseDesign;
    e6 : Coding;
    e7 : TestDesignReview;
    e8 : andgw2;
    e9 : Testing;
    e10 : stop1
end 

ACMECobolProcess in ProcessType with 
   contains
    e1 : start1;
    e2 : RequirementsAnalysis;
    e3 : andgw1;
    e4 : Design;
    e5 : TestCaseDesign;
    e6 : CodingInCobol;
    e7 : TestDesignReview;
    e8 : andgw2;
    e9 : Testing;
    e10 : stop1
end 

Process in Class  end 

{***} { 2019-07-15 12:10:37.198 }

Process1 in Module  end 

{***} { 2019-07-15 12:10:37.451 }

Design with 
   executortype
    designer : Developer
end 

{***} { 2019-07-15 12:10:37.711 }

ProgramCode isA SWEngineeringArtifact  end 

{***} { 2019-07-15 12:10:37.967 }

Process2 in Module  end 



{***} { 2019-07-15 12:10:38.486 }

CodingInCobol with 
   attribute
    artifact1 : CobolCode
end 

CodingInCobol!artifact1 isA Coding!artifact1  end 

{***} { 2019-07-15 12:10:38.902 }

CodingInCobol!artifact1 in TaskType!produces  end 

{***} { 2019-07-15 12:10:39.186 }

Process3 in Module  end 

{ -/- }
