{
* Module: System-oHome-DeepTelos-SoftwareProcessDataModel
* ---------------------------------------------------------
* This file has been extracted from a ConceptBase database.
* Copyright is with the respective authors!

* Time extracted: 2021-03-12 (UTC) 
* Active user: jeusfeld@myon
* CBserver version: 8.1.03 (2019-07-11) 
*
}

{$set module=System-oHome-DeepTelos-SoftwareProcessDataModel}


DesignObjectType 
end

DesignDecisionType with
  attribute
    from: DesignObjectType;
    to: DesignObjectType;
    by: DesignToolType 
end

DesignToolType
end

{---}

DesignObject with
  IN class: DesignObjectType
end

DesignDecision with
  IN class: DesignDecisionType
  attribute
    from: DesignObject;
    to: DesignObject;
    by: DesignTool 
end

DesignTool with
  IN class: DesignToolType
end

{---}

DesignDecision!from with
  IN class: DesignDecisionType!from
end

DesignDecision!to with
  IN class: DesignDecisionType!to
end

DesignDecision!by with
  IN class: DesignDecisionType!by
end



{---}

MappingAssistant in DesignToolType
end

TDL_EC_DO in DesignObjectType 
end

DBLP_REL_DO in DesignObjectType
end

EntHierMapMoveDown in DesignDecisionType with
  from tdlentities: TDL_EC_DO
  to nonfirstrelations: DBLP_REL_DO
  by tool: MappingAssistant
end

{---}

MA_exec1 in MappingAssistant end

Papers in TDL_EC_DO end
Invitations in TDL_EC_DO end

InvitationsRel_0 in DBLP_REL_DO end


mapInvitations in EntHierMapMoveDown with
  tool doneby: MA_exec1
  tdlentities entity1: Papers; entity2: Invitations
  nonfirstrelations rel1: InvitationsRel_0
end



{ -/- }
